Get voucher by code

GET/vouchers/voucher-code/{code}

Retrieves a voucher using its unique voucher code. This endpoint is typically used by customers or integrations to validate or display voucher information.

Headers

  • x-api-keystringrequired

    Api key provided on integrations tab in Easyflow platform.

  • x-api-secretstringrequired

    Api Secret provided on integrations tab in Easyflow platform.

Path parameters

  • codestringrequired

    Unique voucher code used to retrieve the voucher.

Responses

200Voucher successfully retrieved.

Voucher successfully retrieved.

Content typeapplication/jsonobject

  • statusCodeinteger

    Example:200

  • dataobject
    Show child attributesHide child attributes
    • idstring · uuid
    • namestring
    • stockNamestring
    • descriptionstring
    • baseValueInCentsinteger
    • paidValueInCentsinteger
    • expirationAtstring · date-time
    • buyerNamestring
    • buyerEmailstring
    • buyerPhoneobject
      Show child attributesHide child attributes
      • areaCodestring
      • dddstring
      • numberstring
      • isMobileboolean
    • codestring
    • qrCodeLinkstring
    • statusstring

      Possible values:createdredeemedcancelledexpired

    • imageobject
      Show child attributesHide child attributes
      • namestring
      • pathstring
      • urlstring
      • isPublicboolean
      • extensionstring

        Possible values:pngjpgjpeg

    • voucherTemplateIdstring · uuid
400If the provided parameter is invalid, the API will return the following error response:

If the provided parameter is invalid, the API will return the following error response:

Content typeapplication/jsonobject

  • messagestring

    Invalid param: []

    Example:Invalid param: []

  • errorstring

    Bad Request

    Example:Bad Request

  • statusCodeinteger

    400

    Example:400

  • errorCodestring

    Code that identifies the error. Present only on some errors.

401If the request is unauthorized, the API will return the following error response:

If the request is unauthorized, the API will return the following error response:

Content typeapplication/jsonobject

  • messagestring

    Invalid field

    Example:Unauthorized

  • errorstring

    Unauthorized

    Example:Unauthorized

  • statusCodeinteger

    401

    Example:401

403If the request is forbidden, the API will return the following error response:

If the request is forbidden, the API will return the following error response:

Content typeapplication/jsonobject

  • messagestring

    Forbidden resource

    Example:Forbidden resource

  • errorstring

    Forbidden

    Example:Forbidden

  • statusCodeinteger

    403

    Example:403

500If an unexpected condition occurs and the server cannot process the request, the API will return the following error response. This response has no error field.

If an unexpected condition occurs and the server cannot process the request, the API will return the following error response. This response has no error field.

Content typeapplication/jsonobject

  • statusCodeinteger

    HTTP status code.

    Example:500

  • messagestring

    Explanation of the error.

    Example:Internal Server Error